# coding: utf-8
#
# Copyright 2023-2024 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Exception Class
# this is a auto generated file generated by Cheetah
# Namespace: com.sun.star.task
# Libre Office Version: 2024.2
from ooo.oenv.env_const import UNO_NONE
import typing
from .error_code_request import ErrorCodeRequest as ErrorCodeRequest_e22d0d29
from ..uno.x_interface import XInterface as XInterface_8f010a43

class ErrorCodeRequest2(ErrorCodeRequest_e22d0d29):
    """
    Exception Class

    represents a general error exception.
    
    It can be used to transport the error code information. E.g. that can be useful for interactions.
    
    This is designed to mesh with tools.ErrCodeMsg
    
    **since**
    
        LibreOffice 24.2

    See Also:
        `API ErrorCodeRequest2 <https://api.libreoffice.org/docs/idl/ref/exceptioncom_1_1sun_1_1star_1_1task_1_1ErrorCodeRequest2.html>`_
    """

    __ooo_ns__: str = 'com.sun.star.task'
    __ooo_full_ns__: str = 'com.sun.star.task.ErrorCodeRequest2'
    __ooo_type_name__: str = 'exception'
    __pyunointerface__: str = 'com.sun.star.task.ErrorCodeRequest2'
    __pyunostruct__: str = 'com.sun.star.task.ErrorCodeRequest2'

    typeName: str = 'com.sun.star.task.ErrorCodeRequest2'
    """Literal Constant ``com.sun.star.task.ErrorCodeRequest2``"""

    def __init__(self, Message: typing.Optional[str] = '', Context: typing.Optional[XInterface_8f010a43] = None, ErrCode: typing.Optional[int] = 0, Arg1: typing.Optional[str] = '', Arg2: typing.Optional[str] = '', DialogMask: typing.Optional[int] = 0) -> None:
        """
        Constructor

        Arguments:
            Message (str, optional): Message value.
            Context (XInterface, optional): Context value.
            ErrCode (int, optional): ErrCode value.
            Arg1 (str, optional): Arg1 value.
            Arg2 (str, optional): Arg2 value.
            DialogMask (int, optional): DialogMask value.
        """
        kargs = {
            "Message": Message,
            "Context": Context,
            "ErrCode": ErrCode,
            "Arg1": Arg1,
            "Arg2": Arg2,
            "DialogMask": DialogMask,
        }
        self._init(**kargs)

    def _init(self, **kwargs) -> None:
        self._arg1 = kwargs["Arg1"]
        self._arg2 = kwargs["Arg2"]
        self._dialog_mask = kwargs["DialogMask"]
        inst_keys = ('Arg1', 'Arg2', 'DialogMask')
        kargs = kwargs.copy()
        for key in inst_keys:
            del kargs[key]
        super()._init(**kargs)

    @property
    def Arg1(self) -> str:
        """
        """
        return self._arg1
    
    @Arg1.setter
    def Arg1(self, value: str) -> None:
        self._arg1 = value

    @property
    def Arg2(self) -> str:
        """
        """
        return self._arg2
    
    @Arg2.setter
    def Arg2(self, value: str) -> None:
        self._arg2 = value

    @property
    def DialogMask(self) -> int:
        """
        """
        return self._dialog_mask
    
    @DialogMask.setter
    def DialogMask(self, value: int) -> None:
        self._dialog_mask = value


__all__ = ['ErrorCodeRequest2']

