# coding: utf-8
#
# Copyright 2023-2024 :Barry-Thomas-Paul: Moss
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http: // www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Service Class
# this is a auto generated file generated by Cheetah
# Libre Office Version: 2024.2
# Namespace: com.sun.star.text
from __future__ import annotations
from abc import abstractmethod
from .base_index import BaseIndex as BaseIndex_8f0d0a40

class ObjectIndex(BaseIndex_8f0d0a40):
    """
    Service Class

    specifies service of object indexes within a document.
    
    **since**
    
        LibreOffice 7.6

    See Also:
        `API ObjectIndex <https://api.libreoffice.org/docs/idl/ref/servicecom_1_1sun_1_1star_1_1text_1_1ObjectIndex.html>`_
    """
    __ooo_ns__: str = 'com.sun.star.text'
    __ooo_full_ns__: str = 'com.sun.star.text.ObjectIndex'
    __ooo_type_name__: str = 'service'

    @property
    @abstractmethod
    def CreateFromOtherEmbeddedObjects(self) -> bool:
        """
        Determines if external embedded objects are included in the index.
        """
        ...

    @property
    @abstractmethod
    def CreateFromParagraphStyle(self) -> str:
        """
        determines if paragraphs with one particular style applied are included in the index.
        
        **since**
        
            LibreOffice 7.6
        """
        ...

    @property
    @abstractmethod
    def CreateFromStarCalc(self) -> bool:
        """
        Determines if LibreOffice Calc objects are included in the index.
        """
        ...

    @property
    @abstractmethod
    def CreateFromStarChart(self) -> bool:
        """
        Determines if LibreOffice Chart objects are included in the index.
        """
        ...

    @property
    @abstractmethod
    def CreateFromStarDraw(self) -> bool:
        """
        Determines if LibreOffice Draw objects are included in the index.
        """
        ...

    @property
    @abstractmethod
    def CreateFromStarMath(self) -> bool:
        """
        Determines if LibreOffice Math objects are included in the index.
        """
        ...


__all__ = ['ObjectIndex']

